# Casscraft PC Gamer Demo Version ⚘

As I am a fan of Minecraft, I wanted to make my own texture pack, so, everyone get ready for **Casscraft**... my name is Cass, by the way...

For the game to see this texture pack, place it in the `/texturepacks/` folder, ensuring it is zipped. If you download this on GitHub (or a mirror), you will need to extract the ZIP, go one file up so you're in `/pc-gamer-demo-main/` and re-ZIP it once more and finally place the new ZIP in the pre-mentioned `/texturepacks/` folder so it will work.

This pack has been made only for the [PC Gamer Demo](https://minecraft.wiki/w/PC_Gamer_Demo) version of the game.

## PC Gamer Demo

Did you know that in [June 2011 there was a demo for the game bundled with an issue of PC Gamer magazine](https://minecraft.wiki/w/PC_Gamer_Demo)? This demo is based upon [Java Edition Beta 1.3](https://minecraft.wiki/w/Java_Edition_Beta_1.3) and makes a few changes to the game, most notably that you can only play on one pre-made map, with a timer of 100 minutes (five in-game days) ticking down.

As Minecraft would update more and more, this demo would be mostly forgotten, but it is still fun to play as a time capsule of what Minecraft was like in 2011.

YouTuber bugmancx, who [has a series where they explore Minecraft's history by "upgrading through (almost!) every version of the game!"](https://www.youtube.com/playlist?list=PL0qwyBj5XSpZG35qFvy2Z9VbezZ1t4cGt), made a [good video about this demo](https://www.youtube.com/watch?v=yea7LtOB4JI) that is worth watching.

## Additional Setup

In this version of Minecraft, if you use the fancy graphics in the video settings option, you will find that the trees will look weird - we're aware of this, and that's why you need to go into the Casscraft folder, delete `terrain.png`, rename `terrain_fast.png` to `terrain.png`, and then re-ZIP the whole thing.

Everything should all be the same, but the only difference now is that the leaves won't be weird and let you see past blocks, almost like an x-ray texture pack.

## Assets Used

This pack has been made up of a few other random mods and textures, so as such, credit will be given to all of them that were used.

**[Cassettes](https://www.planetminecraft.com/texture-pack/cassettes)**

Replaces the music discs with cassette tapes.

**[Default Dark Mode](https://github.com/nebuIr/Default-Dark-Mode)**

Makes the GUI of the game darker and nicer on the eyes.

Not everything from Default Dark Mode is fully compatible with such older versions of Minecraft, such as `popup.png`, so we took the theme colors and edited it on the parts of the GUI that Default Dark Mode does not edit.

The pack is [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0).

**End Pop-up**

Once the timer is at an end, a pop-up will appear telling the player to buy the game, it also shows what other people have made. For Casscraft, these have been changed. In total, there are nine screenshots used:

> screens1.png

Image one (`2022-01-22_07.13.40.png`): Shows players in [mc.neozones.club](https://mc.neozones.club).

Image two (`2022-07-23_04.14.00.png`): Show a player, also in [mc.neozones.club](https://mc.neozones.club).

Image three (`2022-09-20_08.21.57.png`): Shows Cass standing next to the Pendragon egg, taken in [Cass' 1.0 Minecraft World](https://github.com/DynTylluan/mcworld1_0).

> screens2.png

Image one (`2022-07-11_20.07.55.png`): Shows a player on the [transcraft Minecraft Server](https://transcraft.xyz).

Image two (`2022-09-05_07.19.07.png`): Shows a cat lying on a bed.

Image three (`2023-01-03_05.09.21.png`): Is of a build made by Cass and [act](https://github.com/act17).

> screens3.png

Image one (`2022-10-27_06.27.43.png`): Is of a single-player world by Cass.

Image two (`2023-01-05_19.21.33.png`): A screenshot of the hub of [mcmagma.pw](https://mcmagma.pw).

Image three (`2021-09-04_05.40.41.png`): Screenshot of [mc.neozones.club](https://mc.neozones.club).


**[Faithless](https://www.curseforge.com/minecraft/texture-packs/faithless)**

Casscraft uses all of the wool textures from Faithless, note that we are allowed to, under the following rules:

> You may reuse assets from this pack as long as clear and proper credit is given.

We gave credit here.

> You may use this pack in streams if clear and proper credit is given & linked

This does not apply to Cass Python's git, but please keep this in mind if you do use this in a stream.

> You may NOT profit directly off of my work, especially without permission.

No money has been made from Casscraft.

> Please do not share unofficial bedrock ports. Bedrock coming soon.

Casscraft has not officially been ported to Bedrock, only Java.

Note that while we did use all of the wool textures, `green_wool.png` was edited to make it lighter and match the normal grass color.

**[Helmet Tweaks](https://www.planetminecraft.com/texture-pack/helmet-tweaks-java-edition)**

Small edits to the many helmets in the game so that they have a nose protector (why this is not in the vanilla game, we will never know...).

This pack is [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0).

**[MineClone2](https://github.com/MineClone2/MineClone2)**

The cake textures were taken from this project, as well as the bricks.

**[Minecraft Earth](https://minecraft.wiki/w/Minecraft_Earth)**

The cow texture (`cow.png`) was taken from Minecraft Earth - it was edited so that it once again has the PC Gamer logo on. As well as this, the `pig.png` was also taken from the same game, also being edited so that the nose appears on the model.

`chicken.png` was also taken from this game, but was not edited.

**Random Items by Cass Python**

`pack.png` and `book.png` were edited by Cass Python for Casscraft.

> clouds.png

Most of the asset was made by Cass Python, but uses [`Arecibo message tiny.png`](https://commons.wikimedia.org/wiki/File:Arecibo_message_tiny.png) that was made by Pengo, we can use this image as it is CC0.

**char.png**

In this version of the game, you would have played as Steve, regardless of whether you bought a legit copy of Minecraft back in the day, so Casscraft changes the file `char.png` so that you're playing as Efe, one of the current default skins in the game - why Efe? Well, I simply like the way they look over the other default skins, simple as.

If you want to replace this skin with a new one, you will need to edit this texture, replacing it with your own. Be warned, if you do use another skin, make sure it is 64 by 32 pixels and not 64 by 64 or else it will look strange in-game.

If you want to be able to play as Steve, all you need to do is just delete this file, then re-ZIP up the Classcraft folder and you should be all good.
